EventScoreboardActivity
Returns a list of event scoreboard activity entries.
GET/api/event/scoreboard_activity
Query parameters
idinteger | |
deletedboolean | This property is used to mark an entity as deleted / archived | Default value: false |
baseEventstring | |
activityTypestring | |
sidestring | HOME, AWAY or null (phase changes, notes). |
pointsstring | Points of a SCORE entry (1 for a goal, 1/2/3 in basketball). |
minutestring | Match minute, as entered. |
periodstring | Period (half, quarter, set) the entry belongs to; set from the match state when empty. |
playerNamestring | |
playerNumberstring | Jersey number. |
createdstring | |
updatedstring | |
searchStringstring | text to search for in the list |
orderFieldNamestring | name of the order field |
orderFieldSortstring | sorting modeAllowed: DESCASC |
pageinteger | page of the list |
pageSizeinteger | number of entries for each page |
withMaxPageNumberstring | returns the number of pages available as a header if this is set |
Responses
200Returns a list of EventScoreboardActivity objectsarray<EventScoreboardActivity>
Show fields (15)
base_event_idintegeridintegerPrimary key of the scoreboard activity. Internal ID.
activity_typestringType of the activity, for example goal, penalty or time-out.
sidestringHOME, AWAY or null (phase changes, notes).
pointsintegerPoints of a SCORE entry (1 for a goal, 1/2/3 in basketball).
minuteintegerMatch minute, as entered.
periodintegerPeriod (half, quarter, set) the entry belongs to; set from the match state when empty.
player_namestringName of the player the activity belongs to.
player_numberstringJersey number.
duration_minutesintegerSuspension length in minutes (SUSPENSION, e.g. 2).
notestringNote on the activity.
created_by_namestringWho entered the entry (admin user or trainer), shown in the admin app only.
deletedbooleanThis property is used to mark an entity as deleted / archived
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
curl --request GET \
--url https://your-instance.iw-erp.de/api/event/scoreboard_activity \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/event/scoreboard_activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/event/scoreboard_activity"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/event/scoreboard_activity', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/event/scoreboard_activity"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/event/scoreboard_activity")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/event/scoreboard_activity"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/event_scoreboard_activity_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await EventScoreboardActivityController.getAll();
if (result.success) {
print(result.data);
}[
{
"id": 42,
"player_name": "Beispiel",
"created_by_name": "Beispiel",
"base_event_id": 42,
"activity_type": "string",
"side": "string",
"points": 1,
"minute": 1,
"period": 1,
"player_number": "string"
}
]Creates a new event scoreboard activity entry.
POST/api/event/scoreboard_activity
Request body application/json
dataEventScoreboardActivity2Show fields (10)
activity_typestringType of the activity, for example goal, penalty or time-out.
sidestringHOME, AWAY or null (phase changes, notes).
pointsintegerPoints of a SCORE entry (1 for a goal, 1/2/3 in basketball).
minuteintegerMatch minute, as entered.
periodintegerPeriod (half, quarter, set) the entry belongs to; set from the match state when empty.
player_namestringName of the player the activity belongs to.
player_numberstringJersey number.
duration_minutesintegerSuspension length in minutes (SUSPENSION, e.g. 2).
notestringNote on the activity.
deletedbooleanThis property is used to mark an entity as deleted / archived
Responses
200Add a new EventScoreboardActivityEventScoreboardActivity
Show fields (15)
base_event_idintegeridintegerPrimary key of the scoreboard activity. Internal ID.
activity_typestringType of the activity, for example goal, penalty or time-out.
sidestringHOME, AWAY or null (phase changes, notes).
pointsintegerPoints of a SCORE entry (1 for a goal, 1/2/3 in basketball).
minuteintegerMatch minute, as entered.
periodintegerPeriod (half, quarter, set) the entry belongs to; set from the match state when empty.
player_namestringName of the player the activity belongs to.
player_numberstringJersey number.
duration_minutesintegerSuspension length in minutes (SUSPENSION, e.g. 2).
notestringNote on the activity.
created_by_namestringWho entered the entry (admin user or trainer), shown in the admin app only.
deletedbooleanThis property is used to mark an entity as deleted / archived
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
curl --request POST \
--url https://your-instance.iw-erp.de/api/event/scoreboard_activity \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"player_name": "Beispiel",
"activity_type": "string",
"side": "string",
"points": 1,
"minute": 1,
"period": 1
}
}
'const options = {
method: 'POST',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({
data: {
player_name: 'Beispiel',
activity_type: 'string',
side: 'string',
points: 1,
minute: 1,
period: 1
}
})
};
fetch('https://your-instance.iw-erp.de/api/event/scoreboard_activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/event/scoreboard_activity"
payload = { "data": {
"player_name": "Beispiel",
"activity_type": "string",
"side": "string",
"points": 1,
"minute": 1,
"period": 1
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://your-instance.iw-erp.de/api/event/scoreboard_activity', [
'body' => '{"data":{"player_name":"Beispiel","activity_type":"string","side":"string","points":1,"minute":1,"period":1}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Post,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/event/scoreboard_activity"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"player_name\":\"Beispiel\",\"activity_type\":\"string\",\"side\":\"string\",\"points\":1,\"minute\":1,\"period\":1}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"player_name\":\"Beispiel\",\"activity_type\":\"string\",\"side\":\"string\",\"points\":1,\"minute\":1,\"period\":1}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/event/scoreboard_activity")
.post(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/event/scoreboard_activity"
payload := strings.NewReader("{\"data\":{\"player_name\":\"Beispiel\",\"activity_type\":\"string\",\"side\":\"string\",\"points\":1,\"minute\":1,\"period\":1}}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/event_scoreboard_activity_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
import 'package:iw_erp_api/model/event_scoreboard_activity.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await EventScoreboardActivityController.post(EventScoreboardActivity.fromJson({
"player_name": "Beispiel",
"activity_type": "string",
"side": "string",
"points": 1,
"minute": 1,
"period": 1
}));
if (result.success) {
print(result.data);
}{
"id": 42,
"player_name": "Beispiel",
"created_by_name": "Beispiel",
"base_event_id": 42,
"activity_type": "string",
"side": "string",
"points": 1,
"minute": 1,
"period": 1,
"player_number": "string"
}Returns a single event scoreboard activity entry.
GET/api/event/scoreboard_activity/{identifier}
Path parameters
identifierrequiredstring |
Responses
200Returns a single EventScoreboardActivityEventScoreboardActivity
Show fields (15)
base_event_idintegeridintegerPrimary key of the scoreboard activity. Internal ID.
activity_typestringType of the activity, for example goal, penalty or time-out.
sidestringHOME, AWAY or null (phase changes, notes).
pointsintegerPoints of a SCORE entry (1 for a goal, 1/2/3 in basketball).
minuteintegerMatch minute, as entered.
periodintegerPeriod (half, quarter, set) the entry belongs to; set from the match state when empty.
player_namestringName of the player the activity belongs to.
player_numberstringJersey number.
duration_minutesintegerSuspension length in minutes (SUSPENSION, e.g. 2).
notestringNote on the activity.
created_by_namestringWho entered the entry (admin user or trainer), shown in the admin app only.
deletedbooleanThis property is used to mark an entity as deleted / archived
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
curl --request GET \
--url https://your-instance.iw-erp.de/api/event/scoreboard_activity/42 \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/event/scoreboard_activity/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/event/scoreboard_activity/42"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/event/scoreboard_activity/42', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/event/scoreboard_activity/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/event/scoreboard_activity/42")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/event/scoreboard_activity/42"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/event_scoreboard_activity_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await EventScoreboardActivityController.get('42');
if (result.success) {
print(result.data);
}{
"id": 42,
"player_name": "Beispiel",
"created_by_name": "Beispiel",
"base_event_id": 42,
"activity_type": "string",
"side": "string",
"points": 1,
"minute": 1,
"period": 1,
"player_number": "string"
}Updates an existing event scoreboard activity entry.
PUT/api/event/scoreboard_activity/{identifier}
Path parameters
identifierrequiredstring |
Request body application/json
dataEventScoreboardActivity2Show fields (10)
activity_typestringType of the activity, for example goal, penalty or time-out.
sidestringHOME, AWAY or null (phase changes, notes).
pointsintegerPoints of a SCORE entry (1 for a goal, 1/2/3 in basketball).
minuteintegerMatch minute, as entered.
periodintegerPeriod (half, quarter, set) the entry belongs to; set from the match state when empty.
player_namestringName of the player the activity belongs to.
player_numberstringJersey number.
duration_minutesintegerSuspension length in minutes (SUSPENSION, e.g. 2).
notestringNote on the activity.
deletedbooleanThis property is used to mark an entity as deleted / archived
Responses
200Update a EventScoreboardActivityEventScoreboardActivity
Show fields (15)
base_event_idintegeridintegerPrimary key of the scoreboard activity. Internal ID.
activity_typestringType of the activity, for example goal, penalty or time-out.
sidestringHOME, AWAY or null (phase changes, notes).
pointsintegerPoints of a SCORE entry (1 for a goal, 1/2/3 in basketball).
minuteintegerMatch minute, as entered.
periodintegerPeriod (half, quarter, set) the entry belongs to; set from the match state when empty.
player_namestringName of the player the activity belongs to.
player_numberstringJersey number.
duration_minutesintegerSuspension length in minutes (SUSPENSION, e.g. 2).
notestringNote on the activity.
created_by_namestringWho entered the entry (admin user or trainer), shown in the admin app only.
deletedbooleanThis property is used to mark an entity as deleted / archived
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
curl --request PUT \
--url https://your-instance.iw-erp.de/api/event/scoreboard_activity/42 \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"player_name": "Beispiel",
"activity_type": "string",
"side": "string",
"points": 1,
"minute": 1,
"period": 1
}
}
'const options = {
method: 'PUT',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({
data: {
player_name: 'Beispiel',
activity_type: 'string',
side: 'string',
points: 1,
minute: 1,
period: 1
}
})
};
fetch('https://your-instance.iw-erp.de/api/event/scoreboard_activity/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/event/scoreboard_activity/42"
payload = { "data": {
"player_name": "Beispiel",
"activity_type": "string",
"side": "string",
"points": 1,
"minute": 1,
"period": 1
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('PUT', 'https://your-instance.iw-erp.de/api/event/scoreboard_activity/42', [
'body' => '{"data":{"player_name":"Beispiel","activity_type":"string","side":"string","points":1,"minute":1,"period":1}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Put,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/event/scoreboard_activity/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"player_name\":\"Beispiel\",\"activity_type\":\"string\",\"side\":\"string\",\"points\":1,\"minute\":1,\"period\":1}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"player_name\":\"Beispiel\",\"activity_type\":\"string\",\"side\":\"string\",\"points\":1,\"minute\":1,\"period\":1}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/event/scoreboard_activity/42")
.put(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/event/scoreboard_activity/42"
payload := strings.NewReader("{\"data\":{\"player_name\":\"Beispiel\",\"activity_type\":\"string\",\"side\":\"string\",\"points\":1,\"minute\":1,\"period\":1}}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/event_scoreboard_activity_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
import 'package:iw_erp_api/model/event_scoreboard_activity.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await EventScoreboardActivityController.put(EventScoreboardActivity.fromJson({
"player_name": "Beispiel",
"activity_type": "string",
"side": "string",
"points": 1,
"minute": 1,
"period": 1
}));
if (result.success) {
print(result.data);
}{
"id": 42,
"player_name": "Beispiel",
"created_by_name": "Beispiel",
"base_event_id": 42,
"activity_type": "string",
"side": "string",
"points": 1,
"minute": 1,
"period": 1,
"player_number": "string"
}Updates an existing event scoreboard activity entry.
PATCH/api/event/scoreboard_activity/{identifier}
Path parameters
identifierrequiredstring |
Request body application/json
dataEventScoreboardActivity2Show fields (10)
activity_typestringType of the activity, for example goal, penalty or time-out.
sidestringHOME, AWAY or null (phase changes, notes).
pointsintegerPoints of a SCORE entry (1 for a goal, 1/2/3 in basketball).
minuteintegerMatch minute, as entered.
periodintegerPeriod (half, quarter, set) the entry belongs to; set from the match state when empty.
player_namestringName of the player the activity belongs to.
player_numberstringJersey number.
duration_minutesintegerSuspension length in minutes (SUSPENSION, e.g. 2).
notestringNote on the activity.
deletedbooleanThis property is used to mark an entity as deleted / archived
Responses
200Update a EventScoreboardActivityEventScoreboardActivity
Show fields (15)
base_event_idintegeridintegerPrimary key of the scoreboard activity. Internal ID.
activity_typestringType of the activity, for example goal, penalty or time-out.
sidestringHOME, AWAY or null (phase changes, notes).
pointsintegerPoints of a SCORE entry (1 for a goal, 1/2/3 in basketball).
minuteintegerMatch minute, as entered.
periodintegerPeriod (half, quarter, set) the entry belongs to; set from the match state when empty.
player_namestringName of the player the activity belongs to.
player_numberstringJersey number.
duration_minutesintegerSuspension length in minutes (SUSPENSION, e.g. 2).
notestringNote on the activity.
created_by_namestringWho entered the entry (admin user or trainer), shown in the admin app only.
deletedbooleanThis property is used to mark an entity as deleted / archived
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
curl --request PATCH \
--url https://your-instance.iw-erp.de/api/event/scoreboard_activity/42 \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"player_name": "Beispiel",
"activity_type": "string",
"side": "string",
"points": 1,
"minute": 1,
"period": 1
}
}
'const options = {
method: 'PATCH',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({
data: {
player_name: 'Beispiel',
activity_type: 'string',
side: 'string',
points: 1,
minute: 1,
period: 1
}
})
};
fetch('https://your-instance.iw-erp.de/api/event/scoreboard_activity/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/event/scoreboard_activity/42"
payload = { "data": {
"player_name": "Beispiel",
"activity_type": "string",
"side": "string",
"points": 1,
"minute": 1,
"period": 1
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('PATCH', 'https://your-instance.iw-erp.de/api/event/scoreboard_activity/42', [
'body' => '{"data":{"player_name":"Beispiel","activity_type":"string","side":"string","points":1,"minute":1,"period":1}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Patch,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/event/scoreboard_activity/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"player_name\":\"Beispiel\",\"activity_type\":\"string\",\"side\":\"string\",\"points\":1,\"minute\":1,\"period\":1}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"player_name\":\"Beispiel\",\"activity_type\":\"string\",\"side\":\"string\",\"points\":1,\"minute\":1,\"period\":1}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/event/scoreboard_activity/42")
.patch(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/event/scoreboard_activity/42"
payload := strings.NewReader("{\"data\":{\"player_name\":\"Beispiel\",\"activity_type\":\"string\",\"side\":\"string\",\"points\":1,\"minute\":1,\"period\":1}}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with package:http (no controller in the iw_erp_api package)
import 'dart:convert';
import 'package:http/http.dart' as http;
final response = await http.patch(
Uri.parse('https://your-instance.iw-erp.de/api/event/scoreboard_activity/42'),
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: jsonEncode({
"data": {
"player_name": "Beispiel",
"activity_type": "string",
"side": "string",
"points": 1,
"minute": 1,
"period": 1
}
}),
);
print(response.body);{
"id": 42,
"player_name": "Beispiel",
"created_by_name": "Beispiel",
"base_event_id": 42,
"activity_type": "string",
"side": "string",
"points": 1,
"minute": 1,
"period": 1,
"player_number": "string"
}Removes an entry from the match (soft delete); the score is recalculated.
DELETE/api/event/scoreboard_activity/{identifier}
Path parameters
identifierrequiredstring |
Responses
200Deletes a single EventScoreboardActivityEventScoreboardActivity
Show fields (15)
base_event_idintegeridintegerPrimary key of the scoreboard activity. Internal ID.
activity_typestringType of the activity, for example goal, penalty or time-out.
sidestringHOME, AWAY or null (phase changes, notes).
pointsintegerPoints of a SCORE entry (1 for a goal, 1/2/3 in basketball).
minuteintegerMatch minute, as entered.
periodintegerPeriod (half, quarter, set) the entry belongs to; set from the match state when empty.
player_namestringName of the player the activity belongs to.
player_numberstringJersey number.
duration_minutesintegerSuspension length in minutes (SUSPENSION, e.g. 2).
notestringNote on the activity.
created_by_namestringWho entered the entry (admin user or trainer), shown in the admin app only.
deletedbooleanThis property is used to mark an entity as deleted / archived
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
curl --request DELETE \
--url https://your-instance.iw-erp.de/api/event/scoreboard_activity/42 \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'DELETE', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/event/scoreboard_activity/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/event/scoreboard_activity/42"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.delete(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('DELETE', 'https://your-instance.iw-erp.de/api/event/scoreboard_activity/42', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Delete,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/event/scoreboard_activity/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/event/scoreboard_activity/42")
.delete(null)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/event/scoreboard_activity/42"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/event_scoreboard_activity_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await EventScoreboardActivityController.delete('42');
if (result.success) {
print(result.data);
}{
"id": 42,
"player_name": "Beispiel",
"created_by_name": "Beispiel",
"base_event_id": 42,
"activity_type": "string",
"side": "string",
"points": 1,
"minute": 1,
"period": 1,
"player_number": "string"
}The scoreboard of an event (state, entries, realtime topic), as in BaseEvent.scoreboard.
GET/api/event/base_event/{identifier}/scoreboard
Recalculates it with ?recalculate=1.
Path parameters
identifierrequiredstring |
Responses
200Scoreboard
curl --request GET \
--url https://your-instance.iw-erp.de/api/event/base_event/42/scoreboard \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/event/base_event/42/scoreboard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/event/base_event/42/scoreboard"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/event/base_event/42/scoreboard', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/event/base_event/42/scoreboard"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/event/base_event/42/scoreboard")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/event/base_event/42/scoreboard"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/event_scoreboard_activity_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await EventScoreboardActivityController.scoreboard(42);
if (result.success) {
print(result.data);
}